<div class=''>
  <!-- + description/link do event|treninga -->
  <div class='chat-window-headline'>
    <div class='chat-window-headline-h'>
      <h3>{{ openedChatRoomName }}</h3>
    </div>
    <i (click)="onUsersClick()" class='material-icons'>people</i>
    <i (click)="onLeaveRoom()" class='material-icons'>exit_to_app</i>
  </div>

  <div [ngClass]="(usersClicked)?'show':'hidden'">
    <div class='users-overlay'>
      <app-chat-users
       (privateMessage)="onPrivateMessage($event)"
       [allChatUsers]="allChatUsers"
       [chatUsers]="chatUsers"
       [unselectedChatUsers]="unselectedUsers"></app-chat-users>
    </div>
  </div>

  <div [ngClass]="(usersClicked)?'hidden':'show'">
    <div class="container chat-window" #scrollMe>
      <div *ngFor="let message of chatMessages" class='row-cols-1'>
        <div class='col' [ngClass]="(messageBelongsToUser(message))?'message-pic-right':'message-pic-left'">
          <svg class="profile-pic" matTooltipClass="bigger-tooltip" matTooltip="{{message.username || 'system' + ' - '}} {{message.time | date:'M/d/yy, hh:mm'}} " [data-jdenticon-value]="message.username"></svg>
          <p class='message' [ngClass]="(messageBelongsToUser(message))?'message-right':'message-left'">
            {{message.message}}
          </p>
        </div>
      </div>
    </div>
      <div class='message-input'>
        <input
          #messageInput
          (keyup.enter)="onEnter(messageInput)"
          class='message-input-text' type='text'
          [readonly]="messageInputReadonly()"
          [placeholder]="getMessageInputLabel()">
        <i class='material-icons'>send</i>
      </div>
  </div>
</div>
